Bug 1369212 - dnf repolist with no repos
Summary: dnf repolist with no repos
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged, UserExperience
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-22 16:38 UTC by Igor Gnatenko
Modified: 2017-04-01 17:22 UTC (History)
8 users (show)

Fixed In Version: dnf-2.2.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-01 17:22:05 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Igor Gnatenko 2016-08-22 16:38:45 UTC
[root@edb4d37880de /]# dnf repolist
Last metadata expiration check: 17035 days, 16:36:46 ago on Thu Jan  1 00:00:00 1970.

That's not generally true as I don't have repos enabled.

dnf-2.0.0-0.354gdbc1870.fc24.noarch

Comment 1 Honza Silhan 2016-08-29 11:06:50 UTC
it should show "no repo available".

Comment 2 Abhijeet Kasurde 2016-12-12 15:51:50 UTC
PR available at https://github.com/rpm-software-management/dnf/pull/685

Comment 3 Igor Gnatenko 2017-01-24 11:45:36 UTC
(In reply to Abhijeet Kasurde from comment #2)
> PR available at https://github.com/rpm-software-management/dnf/pull/685
it doesn't completely solve original problem, btw. Thing was more about expiration metadata...

Comment 4 Abhijeet Kasurde 2017-01-24 11:48:26 UTC
(In reply to Igor Gnatenko from comment #3)
> (In reply to Abhijeet Kasurde from comment #2)
> > PR available at https://github.com/rpm-software-management/dnf/pull/685
> it doesn't completely solve original problem, btw. Thing was more about
> expiration metadata...

What do you recommend on this ?

Comment 5 Igor Gnatenko 2017-01-24 11:53:31 UTC
(In reply to Abhijeet Kasurde from comment #4)
> (In reply to Igor Gnatenko from comment #3)
> > (In reply to Abhijeet Kasurde from comment #2)
> > > PR available at https://github.com/rpm-software-management/dnf/pull/685
> > it doesn't completely solve original problem, btw. Thing was more about
> > expiration metadata...
> 
> What do you recommend on this ?

To not show it at all..

Comment 6 Abhijeet Kasurde 2017-01-24 11:59:26 UTC
OK I will work on it and open new PR related.

Comment 7 Jaroslav Mracek 2017-02-10 16:01:35 UTC
Bugs fixed in version of dnf-2.0.1-1.

Comment 8 Jaroslav Mracek 2017-03-23 08:40:52 UTC
There is an alternative solution: https://github.com/rpm-software-management/dnf/pull/767

Comment 9 Fedora Update System 2017-03-27 19:20:55 UTC
dnf-2.2.0-1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b

Comment 10 Fedora Update System 2017-04-01 17:22:05 UTC
dnf-2.2.0-1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.